<div class="loading" *ngIf="showLoader">Loading&#8230;</div>
<div class="all-wrapper with-side-panel solid-bg-all">
  <div class="layout-w">
    <!--------------------
        START - Mobile Menu
        -------------------->
    <app-side-menu></app-side-menu>


    <!--------------------
        END - Main Menu
        -------------------->
    <div class="content-w">
      <!--------------------
                      START - Top Bar
                      -------------------->
      <!-- <app-top-bar></app-top-bar> -->
      <!--------------------
                      END - Top Bar
                      -------------------->


      <div class="content-i">
        <div class="content-box">
          <div class="row">
            <div class="col-sm-12">
              <div class="element-wrapper">
                <div class="element-actions">

                </div>
                <h6 class="element-header">
                  Welcome!
                </h6>
                <div class="element-content">
                  <div class="row">
                    <div class="col-sm-12">
                        <div class="table-responsive">
                            <table class="table table-padded" *ngIf="invoiceList.length > 0">
                                <thead>
                                    <tr>
                                        <th class="text-center">
                                            Invoice Id
                                        </th>
                                        <th class="text-center">
                                            Invoice Amount
                                        </th>
                                        <th class="text-center">Due Date</th>
                                        <th class="text-center">
                                            Invoice Sell Price
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let invoice of invoiceList">
                                        <ng-container>
                                            <td>{{invoice.invoice_id}}</td>
                                            <td>{{invoice.invoice_amount}}</td>
                                            <td>{{invoice.due_date | date :'yyyy-MM-dd'}}</td>
                                            <td>{{invoice.invoice_sell_price}}</td>
                                        </ng-container>
                                    </tr>
                                </tbody>
                            </table>
                            <div class="no-data-label text-center" style="font-size: 20px;" *ngIf="invoiceList.length == 0">
                                <span>
                                    No invoices found!
                                </span>
                            </div>
                        </div>
                        <div class="row" *ngIf="invoiceList.length > 0">
                            <div class="col-sm-8 col-md-9">
                                <nav aria-label="..." *ngIf="totalPageCountArr">
                                  <ul class="pagination">
                                    <li class="page-item" [class.disabled]="currentPageNumber == 1" >
                                        <a class="page-link" (click)="gotoPage(1)"  tabindex="-1">First</a>
                                    </li>
                                    <li class="page-item" [class.disabled]="currentPageNumber == 1" >
                                      <a class="page-link" (click)="gotoPage(currentPageNumber-1)"  tabindex="-1">Previous</a>
                                    </li>
                                    <li class="page-item" *ngFor="let number of totalPageCountArr" [class.active]="currentPageNumber == number">
                                      <a *ngIf="!isNumber(number)" class="page-link" (click)="gotoPage(number)" [class.active]="currentPageNumber == number">
                                          {{number}}<span class="sr-only"></span>
                                      </a>
                                      <span class="page-dots" *ngIf="isNumber(number)">{{number}}</span>
                                    </li>
                                    <li class="page-item" [class.disabled]="totalPageCount == currentPageNumber">
                                      <a class="page-link" (click)="gotoPage(currentPageNumber+1)">Next</a>
                                    </li>
                                    <li class="page-item" [class.disabled]="totalPageCount == currentPageNumber">
                                        <a class="page-link" (click)="gotoPage(totalPageCount)">Last</a>
                                      </li>
                                  </ul>
                                </nav>
                          </div>
                          <div class="col-sm-4 col-md-3">
                            <nav aria-label="..." *ngIf="totalPageCountArr" style="float: right;">
                                <ul class="pagination">
                                  <li class="page-item">
                                    <label style="padding: 10px;">
                                        Displaying {{((currentPageNumber*totalRowsPerPage) - totalRowsPerPage) + 1}} - {{currentPageNumber*totalRowsPerPage >  totalInvoiceCount ? totalInvoiceCount : currentPageNumber*totalRowsPerPage}} of {{totalInvoiceCount}}</label>
                                  </li>
                                  <li class="page-item">
                                    <select (change)="gotoPage(1)" required="" name="typeFilter" class="form-control" 
                                    [(ngModel)]="totalRowsPerPage">
                                    <option *ngFor="let num of totalRowsOptions" [value]="num">
                                        {{num}}
                                    </option>
                                </select>
                                  </li>
                                </ul>
                              </nav>
                          </div>
                        </div>
                    </div>
                  </div>
                  
                </div>
              </div>
            </div>
          </div>
          
        </div>

      </div>



    </div>
  </div>
  <div class="display-type"></div>
</div>